/**
 * EasyBeans
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: PropertiesBasedResolver.java 5404 2010-03-11 15:03:02Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.xmlconfig.properties;

import java.util.Properties;

/**
 * A {@code PropertiesBasedResolver} is a property resolver based on
 * the {@code Properties} type.
 *
 * @author Guillaume Sauthier
 */
public class PropertiesBasedResolver implements IPropertyResolver {

    /**
     * Properties used to resolve variable's value.
     */
    private Properties properties;

    public PropertiesBasedResolver(final Properties properties) {
        this.properties = properties;
    }

    public String resolve(final String name) {
        return properties.getProperty(name);
    }
}
